#
# spec file for package perl-Code-TidyAll
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Code-TidyAll
Name:           perl-Code-TidyAll
Version:        0.83
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Engine for tidyall, your all-in-one code tidier and validator
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(IPC::System::Simple)
BuildRequires:  perl(List::Compare)
BuildRequires:  perl(List::SomeUtils)
BuildRequires:  perl(Log::Any)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo) >= 2.000000
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Path::Tiny) >= 0.098
BuildRequires:  perl(Scope::Guard)
BuildRequires:  perl(Specio) >= 0.40
BuildRequires:  perl(Specio::Declare)
BuildRequires:  perl(Specio::Library::Builtins)
BuildRequires:  perl(Specio::Library::Numeric)
BuildRequires:  perl(Specio::Library::Path::Tiny) >= 0.04
BuildRequires:  perl(Specio::Library::String)
BuildRequires:  perl(Test::Class::Most)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Text::Diff) >= 1.44
BuildRequires:  perl(Text::Diff::Table)
BuildRequires:  perl(Time::Duration::Parse)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(autodie)
BuildRequires:  perl(lib::relative)
Requires:       perl(Capture::Tiny)
Requires:       perl(Config::INI::Reader)
Requires:       perl(Date::Format)
Requires:       perl(Digest::SHA)
Requires:       perl(File::Which)
Requires:       perl(File::pushd)
Requires:       perl(IPC::Run3)
Requires:       perl(IPC::System::Simple)
Requires:       perl(List::Compare)
Requires:       perl(List::SomeUtils)
Requires:       perl(Log::Any)
Requires:       perl(Module::Runtime)
Requires:       perl(Moo) >= 2.000000
Requires:       perl(Moo::Role)
Requires:       perl(Path::Tiny) >= 0.098
Requires:       perl(Scope::Guard)
Requires:       perl(Specio) >= 0.40
Requires:       perl(Specio::Declare)
Requires:       perl(Specio::Library::Builtins)
Requires:       perl(Specio::Library::Numeric)
Requires:       perl(Specio::Library::Path::Tiny) >= 0.04
Requires:       perl(Specio::Library::String)
Requires:       perl(Text::Diff) >= 1.44
Requires:       perl(Text::Diff::Table)
Requires:       perl(Time::Duration::Parse)
Requires:       perl(Try::Tiny)
Recommends:     perl(Parallel::ForkManager)
%{perl_requires}

%description
This is the engine used by tidyall - read that first to get an overview.

You can call this API from your own program instead of executing 'tidyall'.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Sun Nov 20 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.83
  see /usr/share/doc/packages/perl-Code-TidyAll/Changes
  0.83     2022-11-19
  - Fixed test failures on msys. Implemented by Paulo Custodio. GH #116.
  - When running under GitHub Actions in --check-only mode, linting failures
    will now emit GitHub annotations
    (https://docs.github.com/en/actions/using-workflows/workflow-commands-for-github-actions#example-creating-an-annotation-for-an-error). Implemented
    by Pavel Dostál. GH #120.
* Sat Apr 16 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.82
  see /usr/share/doc/packages/perl-Code-TidyAll/Changes
  0.82     2022-04-15
  - Fixed git tests to ignore local Git configuration files, which may cause the
    tests to fail. Implemented by Andreas Vögele. GH #109.
  - The git tests nor run with LC_ALL set to C. Implemented by Andreas
    Vögele. GH #109.
* Fri Feb 18 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.81
  see /usr/share/doc/packages/perl-Code-TidyAll/Changes
  0.81     2022-02-16
  - The PerlTidy plugin will now always append the `--encode-output-strings`
    flag when using `Perl::Tidy` 20220101 or newer. This eliminates issues with
    character encoded content reported in GH #84, reported by Greg
    Oschwald. Thanks to Steven Hancock for letting me know that this was
    possible.
* Sat Nov 27 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.80
  see /usr/share/doc/packages/perl-Code-TidyAll/Changes
  0.80     2021-11-26
  - Don't run the PodSpell plugin test unless `ispell` is installed. Reported by
    Slaven Rezić. GH #108.
  0.79     2021-11-26
  - Run `git stash pop` with `--quiet` flag again, as long as Git is not
    2.24.x. See notes in 0.75 for why we stopped passing `--quiet` in the first
    place.
  - Fixed a bug where the class in the `--tidyall-class` option was not
    loaded. Fixed by Shlomi Fish. PR #107. Fixed GH #43.
* Thu Oct 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.78
  see /usr/share/doc/packages/perl-Code-TidyAll/Changes
  0.78     2020-04-25
  - Fix an issue with the pre-commit hook code when commit after a merge. If
    tidyall invoked `git stash` in the hook and there was content to stash, this
    would break the merge commit, leading to the commit to fail entirely. Now
    the pre-commit hook code will simply never call `git stash` when merging a
    merge commit. Reported by Damien Prystay. GH #100.
  - This release also includes the changes from the 0.76 and 0.77 trial
    releases.
  0.77     2020-01-04 (TRIAL RELEASE)
  - Made some more line ending fixes in the test code.
  - Fixed a test to handle spaces with paths (on Windows, at least).
  0.76     2019-12-24 (TRIAL RELEASE)
  - Preserve line endings in files but using raw mode to read and
    write. Otherwise Perl will automatically write files with the
    platform-appropriate ending. This could lead to ending "flapping" if you
    have developers working on the same project on different platforms, and
    probably lots of other annoying issues. Based on PR #97 from Kenneth Ölwing.
  0.75     2019-12-24
  - Git v2.24.0 introduced a serious bug when running `git stash` with the
    `--quiet` flag that causes it to delete files. This in turn caused this
    package's pre-commit hook code to be seriously broken. We no longer pass the
    `--quiet` flag if the git version is >= 2.24. We re-enable the flag once
    there is a version that fixes this bug.
  - The pre-commit hook code now uses `git rev-parse -q --verify refs/stash` to
    determine if the call to `git stash` actually does anything. This seems
    better than attempting to parse the output of the `git stash` call for a
    user-facing message.
  0.74     2019-05-24
  - Fix a warning that would happen when applying shebang matching to empty
    files. Fixed by Greg Oschwald. GH #93.
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.73
  * created by cpanspec 1.78.09
